package com.diagbot.service.impl;

import com.diagbot.dto.DiagnoseDTO;
import com.diagbot.entity.KlDiagnose;
import com.diagbot.mapper.KlDiagnoseMapper;
import com.diagbot.service.KlDiagnoseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.DiagnoseVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断依据信息表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-03-15
 */
@Service
public class KlDiagnoseServiceImpl extends ServiceImpl<KlDiagnoseMapper, KlDiagnose> implements KlDiagnoseService {
    //根据匹配的基础规则ID获取确诊、拟诊、警惕的疾病
    public List<DiagnoseDTO> getDiagnoseByIds(DiagnoseVO diagnoseVO){
        return baseMapper.getDiagnoseByIds(diagnoseVO);
    }
}
