package com.diagbot.service;

import com.diagbot.dto.DiagnoseDTO;
import com.diagbot.entity.KlDiagnose;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.DiagnoseVO;

import java.util.List;

/**
 * <p>
 * 诊断依据信息表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-03-15
 */
public interface KlDiagnoseService extends IService<KlDiagnose> {
    //根据匹配的基础规则ID获取确诊、拟诊、警惕的疾病
    List<DiagnoseDTO> getDiagnoseByIds(DiagnoseVO diagnoseVO);
}
